| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
Genfun::GaudiMathImplementation::Constant Class Reference

Fixed constant function. More...

`#include <GaudiMath/Constant.h>`

Inheritance diagram for Genfun::GaudiMathImplementation::Constant:
[legend]
Collaboration diagram for Genfun::GaudiMathImplementation::Constant:
[legend]

## Public Member Functions
| Constant (const double value, const size_t dim)
| From CLHEP/GenericFunctions. More...
| Constant (const Constant &right)
| copy constructor More...
| ~Constant () override
| destructor More...
unsigned int | dimensionality () const override
| dimensionality of the problem More...
bool | hasAnalyticDerivative () const override
| Does this function have an analytic derivative? More...
double | operator() (double) const override
| Function value. More...
double | operator() (const Argument &) const override
| Function value. More...
Derivative | partial (unsigned int i) const override
| Derivatives. More...

## Private Member Functions
| Constant ()
Constant & | operator= (const Constant &)

## Private Attributes
double | m_value
size_t | m_DIM

## Detailed Description

Fixed constant function.

Author
  Vanya BELYAEV Ivan..nosp@m.Bely.nosp@m.aev@i.nosp@m.tep..nosp@m.ru

Date
  2003-08-31

Definition at line 31 of file Constant.h.

## Constructor & Destructor Documentation

Genfun::GaudiMathImplementation::Constant::Constant | ( | const double | value,
|  | const size_t | dim
| ) |  |

From CLHEP/GenericFunctions.

from CLHGEP/GenericFunctions

Standard constructor

Parameters

  value | of the function
  dim | dimensionality

Definition at line 30 of file Constant.cpp.

32 : AbsFunction ()
33 , m_value ( value )
34 , m_DIM ( dim )
35 {}
Genfun::GaudiMathImplementation::Constant::m_DIM
size_t m_DIM
Definition: Constant.h:76
Genfun::GaudiMathImplementation::Constant::m_value
double m_value
Definition: Constant.h:75

Genfun::GaudiMathImplementation::Constant::Constant | ( | const Constant & | right | ) |

copy constructor

Definition at line 42 of file Constant.cpp.

43 : AbsFunction()
44 , m_value ( right.m_value )
45 , m_DIM ( right.m_DIM )
46 {}
std::right
T right(T...args)
Genfun::GaudiMathImplementation::Constant::m_DIM
size_t m_DIM
Definition: Constant.h:76
Genfun::GaudiMathImplementation::Constant::m_value
double m_value
Definition: Constant.h:75

Genfun::GaudiMathImplementation::Constant::~Constant | ( |  | ) |
| override

destructor

Definition at line 52 of file Constant.cpp.

52 {}

Genfun::GaudiMathImplementation::Constant::Constant | ( |  | ) |
| private

## Member Function Documentation

unsigned int Genfun::GaudiMathImplementation::Constant::dimensionality | ( |  | ) | const
| inline override

dimensionality of the problem

Definition at line 56 of file Constant.h.

56 { return m_DIM ; }
Genfun::GaudiMathImplementation::Constant::m_DIM
size_t m_DIM
Definition: Constant.h:76

bool Genfun::GaudiMathImplementation::Constant::hasAnalyticDerivative | ( |  | ) | const
| inline override

Does this function have an analytic derivative?

Definition at line 58 of file Constant.h.

58 { return true ; }

double Genfun::GaudiMathImplementation::Constant::operator() | ( | double |  | ) | const
| inline override

Function value.

Definition at line 60 of file Constant.h.

60 { return m_value ; }
Genfun::GaudiMathImplementation::Constant::m_value
double m_value
Definition: Constant.h:75

double Genfun::GaudiMathImplementation::Constant::operator() | ( | const Argument & |  | ) | const
| inline override

Function value.

Definition at line 62 of file Constant.h.

62 { return m_value ; }
Genfun::GaudiMathImplementation::Constant::m_value
double m_value
Definition: Constant.h:75

Constant& Genfun::GaudiMathImplementation::Constant::operator= | ( | const Constant & |  | ) |
| private

Derivative Genfun::GaudiMathImplementation::Constant::partial | ( | unsigned int | i | ) | const
| override

Derivatives.

Definition at line 58 of file Constant.cpp.

59 {
60 const AbsFunction& aux = Constant( 0.0 , m_DIM );
61 return FunctionNoop( &aux );
62 }
Genfun::GaudiMathImplementation::Constant::Constant
Constant()
Genfun::GaudiMathImplementation::Constant::m_DIM
size_t m_DIM
Definition: Constant.h:76

## Member Data Documentation

size_t Genfun::GaudiMathImplementation::Constant::m_DIM
| private

Definition at line 76 of file Constant.h.

double Genfun::GaudiMathImplementation::Constant::m_value
| private

Definition at line 75 of file Constant.h.

The documentation for this class was generated from the following files:

- GaudiGSL/GaudiMath/Constant.h
- GaudiGSL/src/Lib/Constant.cpp